Index: /code/branches/SuperOrxoBros_FS17/data/levels/SOB.oxw
===================================================================
--- /code/branches/SuperOrxoBros_FS17/data/levels/SOB.oxw	(revision 11409)
+++ /code/branches/SuperOrxoBros_FS17/data/levels/SOB.oxw	(revision 11410)
@@ -139,5 +139,5 @@
 					<!-- 					BLOCK 1 in der LUFT - alle analog wie diesen :) -->
 					<!-- Sobald ein QBlock von unten gehittet wird, wechselt die Visibility von allen attached Models. Hier wuerde also Cube1.1 invisible und Cube2.12 visible. Die Collisionshape wird ja sowieso beibehalten. -->
-					<SOBQBlock collisionType="static" type="Mushroom" position="170,0,20"> 						 	<!-- L1.1 pitch=90-->
+					<SOBQBlock collisionType="static" type="Mushroom" position="170,0,20"> 						 			<!-- L1.1 -->
 						<attached>
 							<Model mesh="QCube.mesh" scale=10 pitch=90 /> 
@@ -158,5 +158,5 @@
 					</SOBQBlock>
 
-					<Model mesh="Cube1.1.mesh" position="210,0,20" scale=10 /> 										<!-- L1.3 -->
+					<Model mesh="Cube1.1.mesh" position="210,0,20" scale=10 /> 												<!-- L1.3 -->
 
 
@@ -171,5 +171,5 @@
 					</SOBQBlock>
 
-					<Model mesh="Cube1.1.mesh" position="230,0,20" scale=10/> 										<!-- L1.5 -->
+					<Model mesh="Cube1.1.mesh" position="230,0,20" scale=10/> 												<!-- L1.5 -->
 
 					<SOBQBlock collisionType="static" type="Mushroom" position="240,0,20"><!-- ? Block --> 
@@ -196,5 +196,5 @@
 						</attached>
 						<collisionShapes>
-							<BoxCollisionShape position="0,0,0" halfExtents="5,5,5" /><!-- 3 -->
+							<BoxCollisionShape position="0,0,0" halfExtents="5,5,5" />
 						</collisionShapes>
 					</SOBQBlock>			
@@ -220,7 +220,8 @@
 						<collisionShapes><!-- ?/S Block has his own collisionShape(1,3,5,6) --> 
 							
-							<BoxCollisionShape position="210,0,20" halfExtents="5,5,5" /><!-- 1.3 -->
-							<BoxCollisionShape position="230,0,20" halfExtents="5,5,5" /><!-- 1.5 -->
-							<BoxCollisionShape position="250,0,20" halfExtents="5,5,5" /><!-- 1.7 -->
+							<BoxCollisionShape position="210,0,20" halfExtents="5,5,5" /> 						<!-- 1.3 -->
+							<BoxCollisionShape position="230,0,20" halfExtents="5,5,5" /> 						<!-- 1.5 -->
+							<BoxCollisionShape position="250,0,20" halfExtents="5,5,5" /> 						<!-- 1.7 -->
+							<CylinderCollisionShape position="295,0,0" radius="10" height="60" pitch=90 />
 							
 
@@ -385,5 +386,5 @@
 					<Model mesh="Dreieck.mesh" position="1370,0,-10" scale=10 Roll=90 Pitch=90 yaw=90/> 					<!-- L3.18 --> 
 					<Model mesh="Dreieck.mesh" position="1400,0,-10" scale=10 Roll=90 Pitch=-90 yaw=90/> 					<!-- L3.19 -->
-					<Model mesh="Dreieck+1.mesh" position="1510,0,-10" scale=10 Roll=90 Pitch=90 yaw=90/> 					<!-- L3.20 -->  
+					<Model mesh="Dreieck_links+1.mesh" position="1510,0,-10" scale=10 Roll=90 Pitch=90 yaw=90/> 					<!-- L3.20 -->  
 					
 
@@ -405,5 +406,5 @@
 							
 							
-							<BoxCollisionShape position="1355,0,-10" halfExtents="20,5,5" /> 							<!-- 3.18 .....1080-->
+							<BoxCollisionShape position="1355,0,-10" halfExtents="20,5,5" /> 							<!-- 3.18 -->
 							<BoxCollisionShape position="1360,0,0" halfExtents="15,5,5" />
 							<BoxCollisionShape position="1365,0,10" halfExtents="10,5,5" />
@@ -470,11 +471,14 @@
 					<Model mesh="Cube1.1.mesh" position="1720,0,20" scale=10/> 										<!-- L4.6 -->
 					<Model mesh="Rohr.mesh" position="1805,5,-35" scale=10 pitch=90 /> 								<!-- L4.7 -->
-
-
-
-					<Model mesh="Schloss.mesh" position="2050,40,60" scale=12 pitch=90/>
-					<!--<Model mesh="Fahne.mesh" position="1900,0,20" scale=10 pitch=90/>
-					<Model mesh="Fahnenstange.mesh" position="1970,0,0" scale=10/>
-					<Model mesh="Fundament.mesh" position="1970,5,-10" scale=10 yaw=180/>-->
+					<Model mesh="Dreieck-gross.mesh" position="1850,0,-10" scale=10 pitch=90 /> 					<!-- L4.8 -->
+
+
+
+
+					<Model mesh="Schloss.mesh" position="2050,40,60" scale=12 pitch=90/>					<!-- L4.12 -->
+					<Model mesh="Fahne.mesh" position="1985,0,90" scale=10 pitch=90/>						<!-- L4.11 -->
+					<Model mesh="Fahnenstange.mesh" position="1990,0,95" pitch=90 scale=3/>					<!-- L4.10 -->
+					<Model mesh="Fundament.mesh" position="1990,0,-10" scale=10 yaw=180/>					<!-- L4.9 -->
+
 					
 
@@ -492,4 +496,15 @@
 							<BoxCollisionShape position="1700,0,20" halfExtents="5,5,5" /> 					<!-- 4.3 -->
 							<BoxCollisionShape position="1720,0,20" halfExtents="5,5,5" /> 					<!-- 4.5 -->
+
+							<BoxCollisionShape position="1860,0,-10" halfExtents="45,5,5" /> 				<!-- 4.8 -->
+							<BoxCollisionShape position="1865,0,0" halfExtents="40,5,5" />
+							<BoxCollisionShape position="1870,0,10" halfExtents="35,5,5" />
+							<BoxCollisionShape position="1875,0,20" halfExtents="30,5,5" />
+							<BoxCollisionShape position="1880,0,30" halfExtents="25,5,5" />
+							<BoxCollisionShape position="1885,0,40" halfExtents="20,5,5" />
+							<BoxCollisionShape position="1890,0,50" halfExtents="15,5,5" />
+							<BoxCollisionShape position="1895,0,60" halfExtents="10,5,5" />
+
+
 							
 
@@ -514,4 +529,29 @@
 					<Model mesh="Cube2.12.mesh" position="2040,0,-30" scale=10 Pitch=90/>
 
+
+					
+					<Model mesh="Cube1.3.mesh" position="1990,10,-20" scale=10 Pitch=90/>
+					<Model mesh="Cube1.3.mesh" position="1990,20,-20" scale=10 Pitch=90/>
+					<Model mesh="Cube1.3.mesh" position="1990,30,-20" scale=10 Pitch=90/>
+					<Model mesh="Cube1.3.mesh" position="1990,40,-20" scale=10 Pitch=90/>
+					<Model mesh="Cube1.3.mesh" position="1960,10,-20" scale=10 Pitch=90/>
+					<Model mesh="Cube1.1.mesh" position="1980,20,-20" scale=10 Pitch=90/>
+					<Model mesh="Cube1.1.mesh" position="1970,20,-20" scale=10 Pitch=90/>
+					<Model mesh="Cube1.1.mesh" position="1980,30,-20" scale=10 Pitch=90/>
+
+					<Model mesh="Cube1.1.mesh" position="2000,50,-20" scale=10 Pitch=90/>
+					<Model mesh="Cube1.1.mesh" position="2010,50,-20" scale=10 Pitch=90/>
+					<Model mesh="Cube1.1.mesh" position="2010,60,-20" scale=10 Pitch=90/>
+					
+
+					<Model mesh="Cube1.6.mesh" position="2020,10,-20" scale=10 Pitch=90/>
+					<Model mesh="Cube1.6.mesh" position="2020,20,-20" scale=10 Pitch=90/>
+					<Model mesh="Cube1.6.mesh" position="2020,30,-20" scale=10 Pitch=90/>
+					<Model mesh="Cube1.6.mesh" position="2020,40,-20" scale=10 Pitch=90/>
+					<Model mesh="Cube1.6.mesh" position="2020,50,-20" scale=10 Pitch=90/>
+					<Model mesh="Cube1.6.mesh" position="2020,60,-20" scale=10 Pitch=90/>
+					<Model mesh="Cube1.6.mesh" position="2020,70,-20" scale=10 Pitch=90/>
+					
+
 					<StaticEntity collisionType="static">
 						<collisionShapes>
Index: /code/branches/SuperOrxoBros_FS17/data/levels/SOB_Level2.oxw
===================================================================
--- /code/branches/SuperOrxoBros_FS17/data/levels/SOB_Level2.oxw	(revision 11410)
+++ /code/branches/SuperOrxoBros_FS17/data/levels/SOB_Level2.oxw	(revision 11410)
@@ -0,0 +1,390 @@
+<LevelInfo
+	name = "SOB Level2"
+	description = "Jump as high as you can. Use the mouse to guide the jumper."
+	tags = "minigame"
+	screenshot = "jump.png"
+	/>
+
+	<?lua
+	include("HUDTemplates3.oxo")  
+	include("jumpHUD.oxo")
+	include("stats.oxo")
+	include("templates/lodInformation.oxt")
+	include("overlays/SOBHUD.oxo")
+	?>
+
+
+	<Template name=mushroom defaults=0>
+		<SOBMushroom collisionType="dynamic" speed=30>
+			<attached>
+				<Model mesh="Pilz.mesh" position="0,0,21" scale=3 pitch=90/> 
+			</attached>
+			<collisionShapes>
+				<BoxCollisionShape position="0,0,20" halfExtents="5,5,5" /><!-- 1 -->
+			</collisionShapes>
+		</SOBMushroom>
+	</Template>
+
+
+
+	<Template name=sobfigurecameras defaults=0>
+		<SOBFigure>
+			<camerapositions>
+				<CameraPosition position="0,-150,30" absolute=true mouselook=false drag=false direction="0,1,0"/>
+			</camerapositions>
+		</SOBFigure>
+	</Template>
+
+
+
+
+
+	<Template name=sobFigureTemplate>
+		<SOBFigure camerapositiontemplate=sobfigurecameras collisionType="dynamic" position="0,0,30">
+			<attached>
+				<Model  mesh="Orxo.mesh" scale=2.5 pitch=0 roll=90 yaw=90/>
+				<ParticleSpawner source="Orxonox/fire4" startdelay=0  position="-4,0,0" visible="false"/>
+			</attached>
+
+			<collisionShapes>
+				<BoxCollisionShape position="-2,0,2" halfExtents="3,1,10" />
+				<!--      <SphereCollisionShape yaw="20" pitch="20" roll="20"  radius="10" position="0,0,10" />   -->
+			</collisionShapes>
+
+
+		</SOBFigure>
+	</Template>
+
+	<Level
+		plugins = "superorxobros"
+		gametype = "SOB"
+		>-
+
+
+		<templates>
+			<Template link=lodtemplate_default />
+		</templates>
+		<?lua include("includes/notifications.oxi") ?>
+
+		<WorldAmbientSound source="Ganymede.ogg" looping="true" playOnLoad="true"/>
+
+
+		<Scene ambientlight="1.0, 1.0, 1.0" skybox="Orxonox/skyBoxBasic">
+			<Light type=directional position="0,0,0" direction="0.253, 0.593, -0.765" diffuse="1.0, 0.9, 0.9, 1.0" specular="1.0, 0.9, 0.9, 1.0" />
+			<SpawnPoint position="991.729, -110.11, 435.404" orientation="0.534038, 0.563456, 0.212168, 0.593553" />
+
+
+
+
+
+
+
+			<MovableEntity >
+				<attached>
+					<SOBCenterpoint name=jumpcenter cameraOffset="10" figureTemplate=sobFigureTemplate>
+						<attached>  
+						</attached>
+					</SOBCenterpoint>
+
+				</attached>
+			</MovableEntity>
+
+			<SOBMushroom collisionType="dynamic" speed=30>
+						<attached>
+							<Model mesh="Pilz.mesh" position="0,0,21" scale=3 pitch=90/> 
+							
+						</attached>
+						<collisionShapes>
+							<BoxCollisionShape position="0,0,20" halfExtents="5,5,5" /> 						<!-- ?????? -->
+						</collisionShapes>
+					</SOBMushroom>
+
+
+
+
+
+			<!-- <?lua
+						for i = 0, 100, 1
+						do
+						j = math.random()
+						?>
+			
+						<SOBItem position="<?lua print(i*10) ?>,0,-20" collisionType="static">
+							<attached>
+								<Model  mesh="MarioCube.mesh" scale="10" />
+							</attached>
+			
+						</SOBItem>
+			
+						<?lua
+						end
+						?>
+					-->
+
+
+					//erster Boden	
+
+					
+
+
+					
+					<Model mesh="Cube2.6.mesh" position="-60,0,-30" scale=10 Pitch=90/>
+					<Model mesh="Cube2.12.mesh" position="0,0,-30" scale=10 Pitch=90/> 					
+					<Model mesh="Cube2.12.mesh" position="120,0,-30" scale=10 Pitch=90/> 
+
+
+					<Model mesh="Cube2.12.mesh" position="-60,10,-30" scale=10 Pitch=90/>
+					<Model mesh="Cube1.1.mesh" position="60,10,-20" scale=10 Pitch=90/>
+					<Model mesh="Cube1.6.mesh" position="-40,20,-20" scale=10 Pitch=90/>
+					<Model mesh="Cube1.6.mesh" position="-40,30,-20" scale=10 Pitch=90/>
+					<Model mesh="Cube1.1.mesh" position="40,20,-20" scale=10 Pitch=90/>
+					<Model mesh="Cube1.1.mesh" position="40,30,-20" scale=10 Pitch=90/>
+					<Model mesh="Cube1.1.mesh" position="30,40,-20" scale=10 Pitch=90/>
+					<Model mesh="Cube1.1.mesh" position="30,50,-20" scale=10 Pitch=90/>
+
+					<Model mesh="Cube1.6.mesh" position="-30,40,-20" scale=10 Pitch=90/>
+					<Model mesh="Cube1.6.mesh" position="-30,50,-20" scale=10 Pitch=90/>
+					<Model mesh="Cube1.3.mesh" position="-10,60,-20" scale=10 Pitch=90/>
+					<Model mesh="Cube1.3.mesh" position="10,20,-20" scale=10 Pitch=90/>
+					<Model mesh="Cube1.3.mesh" position="10,30,-20" scale=10 Pitch=90/>				
+
+
+
+					<StaticEntity collisionType="static">
+						<collisionShapes>
+							<BoxCollisionShape position="85,0,-20" halfExtents="150,5,5" />
+						</collisionShapes>
+					</StaticEntity>
+
+					//Luft1
+
+					<Model mesh="Schloss.mesh" position="0,40,60" scale=12 pitch=90/>
+					<Model mesh="Rohr.mesh" position="125,5,-35" scale=10 pitch=90 /> 								
+					<Model mesh="Rohr.mesh" position="195,5,-25" scale=10 pitch=90 />
+
+
+					//Boden2
+
+					<Model mesh="Cube2.12.mesh" position="270,0,-30" scale=10 Pitch=90/> 					
+					<Model mesh="Cube2.12.mesh" position="390,0,-30" scale=10 Pitch=90/> 
+					<Model mesh="Cube2.12.mesh" position="510,0,-30" scale=10 Pitch=90/> 					
+					<Model mesh="Cube2.12.mesh" position="630,0,-30" scale=10 Pitch=90/> 
+					<Model mesh="Cube2.12.mesh" position="750,0,-30" scale=10 Pitch=90/> 					
+					<Model mesh="Cube2.12.mesh" position="870,0,-30" scale=10 Pitch=90/> 
+					<Model mesh="Cube2.3.mesh" position="990,0,-30" scale=10 Pitch=90/> 
+
+
+					<StaticEntity collisionType="static">
+						<collisionShapes>
+							<BoxCollisionShape position="645,0,-20" halfExtents="375,5,5" />
+						</collisionShapes>
+					</StaticEntity>
+
+				
+
+
+
+
+
+
+					//Luft2
+
+					<SOBQBlock collisionType="static" type="Mushroom" position="320,0,20"> 						 			<!-- L1.1 -->
+						<attached>
+							<Model mesh="QCube.mesh" scale=10 pitch=90 /> 
+						</attached>
+						<collisionShapes>
+							<BoxCollisionShape position="0,0,0" halfExtents="5,5,5" />
+						</collisionShapes>
+					</SOBQBlock>
+
+					<SOBQBlock collisionType="static" type="Mushroom" position="330,0,20"> 						 			<!-- L1.1 -->
+						<attached>
+							<Model mesh="QCube.mesh" scale=10 pitch=90 /> 
+						</attached>
+						<collisionShapes>
+							<BoxCollisionShape position="0,0,0" halfExtents="5,5,5" />
+						</collisionShapes>
+					</SOBQBlock>
+
+					<SOBQBlock collisionType="static" type="Mushroom" position="340,0,20"> 						 			<!-- L1.1 -->
+						<attached>
+							<Model mesh="QCube.mesh" scale=10 pitch=90 /> 
+						</attached>
+						<collisionShapes>
+							<BoxCollisionShape position="0,0,0" halfExtents="5,5,5" />
+						</collisionShapes>
+					</SOBQBlock>
+
+					<SOBQBlock collisionType="static" type="Mushroom" position="350,0,20"> 						 			<!-- L1.1 -->
+						<attached>
+							<Model mesh="QCube.mesh" scale=10 pitch=90 /> 
+						</attached>
+						<collisionShapes>
+							<BoxCollisionShape position="0,0,0" halfExtents="5,5,5" />
+						</collisionShapes>
+					</SOBQBlock>
+
+					<SOBQBlock collisionType="static" type="Mushroom" position="360,0,20"> 						 			<!-- L1.1 -->
+						<attached>
+							<Model mesh="QCube.mesh" scale=10 pitch=90 /> 
+						</attached>
+						<collisionShapes>
+							<BoxCollisionShape position="0,0,0" halfExtents="5,5,5" />
+						</collisionShapes>
+					</SOBQBlock>
+
+
+					<Model mesh="Cube1.1.mesh" position="390,0,-10" scale=10 Pitch=90/>
+
+					<Model mesh="Cube1.1.mesh" position="410,0,-10" scale=10 Pitch=90/>
+					<Model mesh="Cube1.1.mesh" position="410,0,0" scale=10 Pitch=90/>
+
+					<Model mesh="Cube1.3.mesh" position="430,0,-10" scale=10 yaw=-90/>
+
+					<Model mesh="Cube1.1.mesh" position="450,0,-10" scale=10 Pitch=90/>
+					<Model mesh="Cube1.3.mesh" position="450,0,0" scale=10 yaw=-90/>
+
+					<Model mesh="Cube1.1.mesh" position="470,0,-10" scale=10 Pitch=90/>
+					<Model mesh="Cube1.3.mesh" position="470,0,0" scale=10 yaw=-90/>
+
+					<Model mesh="Cube1.3.mesh" position="490,0,-10" scale=10 yaw=-90/>
+
+					<Model mesh="Cube1.3.mesh" position="530,0,-10" scale=10 yaw=-90/>
+
+					<Model mesh="Cube1.1.mesh" position="550,0,-10" scale=10 Pitch=90/>
+					<Model mesh="Cube1.1.mesh" position="550,0,0" scale=10 Pitch=90/>
+
+					<SOBQBlock collisionType="static" type="Mushroom" position="510,0,30"> 						 			<!-- L1.1 -->
+						<attached>
+							<Model mesh="QCube.mesh" scale=10 pitch=90 /> 
+						</attached>
+						<collisionShapes>
+							<BoxCollisionShape position="0,0,0" halfExtents="5,5,5" />
+						</collisionShapes>
+					</SOBQBlock>
+
+
+
+					<Model mesh="Cube1.3.mesh" position="610,0,20" scale=10 yaw=-90/>
+					<Model mesh="Cube1.1.mesh" position="620,0,20" scale=10 Pitch=90/>
+					<Model mesh="Cube1.3.mesh" position="630,0,20" scale=10 yaw=-90/>
+					<Model mesh="Cube1.1.mesh" position="640,0,40" scale=10 Pitch=90/>
+					<Model mesh="Cube1.1.mesh" position="650,0,40" scale=10 Pitch=90/>
+					<Model mesh="Cube1.3.mesh" position="660,0,20" scale=10 yaw=-90/>
+					<Model mesh="Cube1.1.mesh" position="670,0,20" scale=10 Pitch=90/>
+					<Model mesh="Cube1.3.mesh" position="680,0,20" scale=10 yaw=-90/>
+
+					<SOBQBlock collisionType="static" type="Mushroom" position="680,0,50"> 						 			<!-- L1.1 -->
+						<attached>
+							<Model mesh="QCube.mesh" scale=10 pitch=90 /> 
+						</attached>
+						<collisionShapes>
+							<BoxCollisionShape position="0,0,0" halfExtents="5,5,5" />
+						</collisionShapes>
+					</SOBQBlock>
+
+
+
+					<Model mesh="Cube2.6.mesh" position="740,0,20" scale=10 yaw=-90 Pitch=-90/>
+					<Model mesh="Cube2.3.mesh" position="760,0,0" scale=10 yaw=-90 Pitch=-90/>
+					<Model mesh="Cube2.3.mesh" position="760,0,80" scale=10 yaw=-90 Pitch=-90/>
+					
+
+
+
+					<Model mesh="Cube1.6.mesh" position="800,0,20" scale=10 />
+					<Model mesh="Cube2.3.mesh" position="800,0,80" scale=10 Pitch=-90/>
+					<Model mesh="Cube2.6.mesh" position="840,0,30" scale=10 yaw=-90 Pitch=-90/>
+					<Model mesh="Cube2.2.mesh" position="880,0,80" scale=10 Pitch=-90/>
+					<Model mesh="Cube2.2.mesh" position="900,0,80" scale=10 Pitch=-90/>
+
+					<Model mesh="Cube2.2.mesh" position="980,0,80" scale=10 Pitch=-90/>
+					<Model mesh="Cube2.2.mesh" position="1000,0,80" scale=10 Pitch=-90/>
+
+					<Model mesh="Cube2.6.mesh" position="940,0,20" scale=10 Pitch=-90 yaw=-90/>
+					<Model mesh="Cube1.3.mesh" position="980,0,20" scale=10 Pitch=-90/>
+					<Model mesh="Cube1.1.mesh" position="1010,0,20" scale=10 Pitch=-90/>
+
+
+					//Boden3
+
+					<Model mesh="Cube2.12.mesh" position="1050,0,-30" scale=10 Pitch=90/> 					
+					<Model mesh="Cube2.12.mesh" position="1170,0,-30" scale=10 Pitch=90/> 
+					<Model mesh="Cube2.12.mesh" position="1290,0,-30" scale=10 Pitch=90/> 
+					<Model mesh="Cube2.2.mesh" position="1410,0,-30" scale=10 Pitch=90/> 
+
+					//Boden4
+					<Model mesh="Cube2.2.mesh" position="1430,0,-30" scale=10 Pitch=90/> 
+
+					//Boden5
+					<Model mesh="Cube2.12.mesh" position="1450,0,-30" scale=10 Pitch=90/> 
+
+					//Boden6
+					<Model mesh="Cube2.6.mesh" position="1640,0,-30" scale=10 Pitch=90/> 
+					<Model mesh="Cube2.2.mesh" position="1700,0,-30" scale=10 Pitch=90/> 
+
+					//Boden7
+					<Model mesh="Cube2.12.mesh" position="1790,0,-30" scale=10 Pitch=90/> 
+					<Model mesh="Cube2.12.mesh" position="1910,0,-30" scale=10 Pitch=90/> 
+					<Model mesh="Cube2.12.mesh" position="2030,0,-30" scale=10 Pitch=90/> 
+
+
+
+
+
+					
+
+
+
+					
+
+
+
+
+
+
+
+
+
+
+
+
+
+
+
+
+
+
+
+
+
+
+
+
+
+
+
+
+
+
+					
+					
+					
+
+
+
+
+					
+
+
+
+
+
+
+
+					
+
+
+				</Scene>
+			</Level>