Index: code/branches/SuperOrxoBros_FS17/data/levels/SOB_Level2.oxw
===================================================================
--- code/branches/SuperOrxoBros_FS17/data/levels/SOB_Level2.oxw	(revision 11410)
+++ code/branches/SuperOrxoBros_FS17/data/levels/SOB_Level2.oxw	(revision 11411)
@@ -123,4 +123,12 @@
 
 
+
+					<StaticEntity collisionType="static">
+						<collisionShapes>
+							<BoxCollisionShape position="240,0,-20" halfExtents="240,5,5" /> 			<!--CollisionShape for testing-->
+						</collisionShapes>
+					</StaticEntity>
+
+
 					//erster Boden	
 
@@ -166,16 +174,16 @@
 					//Boden2
 
-					<Model mesh="Cube2.12.mesh" position="270,0,-30" scale=10 Pitch=90/> 					
-					<Model mesh="Cube2.12.mesh" position="390,0,-30" scale=10 Pitch=90/> 
-					<Model mesh="Cube2.12.mesh" position="510,0,-30" scale=10 Pitch=90/> 					
-					<Model mesh="Cube2.12.mesh" position="630,0,-30" scale=10 Pitch=90/> 
-					<Model mesh="Cube2.12.mesh" position="750,0,-30" scale=10 Pitch=90/> 					
-					<Model mesh="Cube2.12.mesh" position="870,0,-30" scale=10 Pitch=90/> 
-					<Model mesh="Cube2.3.mesh" position="990,0,-30" scale=10 Pitch=90/> 
+					<Model mesh="Cube2.12.mesh" position="420,0,-30" scale=10 Pitch=90/> 					
+					<Model mesh="Cube2.12.mesh" position="540,0,-30" scale=10 Pitch=90/> 
+					<Model mesh="Cube2.12.mesh" position="660,0,-30" scale=10 Pitch=90/> 					
+					<Model mesh="Cube2.12.mesh" position="780,0,-30" scale=10 Pitch=90/> 
+					<Model mesh="Cube2.12.mesh" position="900,0,-30" scale=10 Pitch=90/> 					
+					<Model mesh="Cube2.12.mesh" position="1020,0,-30" scale=10 Pitch=90/> 
+					<Model mesh="Cube2.3.mesh" position="1140,0,-30" scale=10 Pitch=90/> 
 
 
 					<StaticEntity collisionType="static">
 						<collisionShapes>
-							<BoxCollisionShape position="645,0,-20" halfExtents="375,5,5" />
+							<BoxCollisionShape position="695,0,-20" halfExtents="375,5,5" />
 						</collisionShapes>
 					</StaticEntity>
@@ -190,143 +198,145 @@
 					//Luft2
 
-					<SOBQBlock collisionType="static" type="Mushroom" position="320,0,20"> 						 			<!-- L1.1 -->
-						<attached>
-							<Model mesh="QCube.mesh" scale=10 pitch=90 /> 
-						</attached>
-						<collisionShapes>
-							<BoxCollisionShape position="0,0,0" halfExtents="5,5,5" />
-						</collisionShapes>
-					</SOBQBlock>
-
-					<SOBQBlock collisionType="static" type="Mushroom" position="330,0,20"> 						 			<!-- L1.1 -->
-						<attached>
-							<Model mesh="QCube.mesh" scale=10 pitch=90 /> 
-						</attached>
-						<collisionShapes>
-							<BoxCollisionShape position="0,0,0" halfExtents="5,5,5" />
-						</collisionShapes>
-					</SOBQBlock>
-
-					<SOBQBlock collisionType="static" type="Mushroom" position="340,0,20"> 						 			<!-- L1.1 -->
-						<attached>
-							<Model mesh="QCube.mesh" scale=10 pitch=90 /> 
-						</attached>
-						<collisionShapes>
-							<BoxCollisionShape position="0,0,0" halfExtents="5,5,5" />
-						</collisionShapes>
-					</SOBQBlock>
-
-					<SOBQBlock collisionType="static" type="Mushroom" position="350,0,20"> 						 			<!-- L1.1 -->
-						<attached>
-							<Model mesh="QCube.mesh" scale=10 pitch=90 /> 
-						</attached>
-						<collisionShapes>
-							<BoxCollisionShape position="0,0,0" halfExtents="5,5,5" />
-						</collisionShapes>
-					</SOBQBlock>
-
-					<SOBQBlock collisionType="static" type="Mushroom" position="360,0,20"> 						 			<!-- L1.1 -->
-						<attached>
-							<Model mesh="QCube.mesh" scale=10 pitch=90 /> 
-						</attached>
-						<collisionShapes>
-							<BoxCollisionShape position="0,0,0" halfExtents="5,5,5" />
-						</collisionShapes>
-					</SOBQBlock>
-
-
-					<Model mesh="Cube1.1.mesh" position="390,0,-10" scale=10 Pitch=90/>
-
-					<Model mesh="Cube1.1.mesh" position="410,0,-10" scale=10 Pitch=90/>
-					<Model mesh="Cube1.1.mesh" position="410,0,0" scale=10 Pitch=90/>
-
-					<Model mesh="Cube1.3.mesh" position="430,0,-10" scale=10 yaw=-90/>
-
-					<Model mesh="Cube1.1.mesh" position="450,0,-10" scale=10 Pitch=90/>
-					<Model mesh="Cube1.3.mesh" position="450,0,0" scale=10 yaw=-90/>
-
-					<Model mesh="Cube1.1.mesh" position="470,0,-10" scale=10 Pitch=90/>
-					<Model mesh="Cube1.3.mesh" position="470,0,0" scale=10 yaw=-90/>
-
-					<Model mesh="Cube1.3.mesh" position="490,0,-10" scale=10 yaw=-90/>
-
-					<Model mesh="Cube1.3.mesh" position="530,0,-10" scale=10 yaw=-90/>
-
-					<Model mesh="Cube1.1.mesh" position="550,0,-10" scale=10 Pitch=90/>
-					<Model mesh="Cube1.1.mesh" position="550,0,0" scale=10 Pitch=90/>
-
-					<SOBQBlock collisionType="static" type="Mushroom" position="510,0,30"> 						 			<!-- L1.1 -->
-						<attached>
-							<Model mesh="QCube.mesh" scale=10 pitch=90 /> 
-						</attached>
-						<collisionShapes>
-							<BoxCollisionShape position="0,0,0" halfExtents="5,5,5" />
-						</collisionShapes>
-					</SOBQBlock>
-
-
-
-					<Model mesh="Cube1.3.mesh" position="610,0,20" scale=10 yaw=-90/>
-					<Model mesh="Cube1.1.mesh" position="620,0,20" scale=10 Pitch=90/>
-					<Model mesh="Cube1.3.mesh" position="630,0,20" scale=10 yaw=-90/>
-					<Model mesh="Cube1.1.mesh" position="640,0,40" scale=10 Pitch=90/>
-					<Model mesh="Cube1.1.mesh" position="650,0,40" scale=10 Pitch=90/>
-					<Model mesh="Cube1.3.mesh" position="660,0,20" scale=10 yaw=-90/>
-					<Model mesh="Cube1.1.mesh" position="670,0,20" scale=10 Pitch=90/>
-					<Model mesh="Cube1.3.mesh" position="680,0,20" scale=10 yaw=-90/>
-
-					<SOBQBlock collisionType="static" type="Mushroom" position="680,0,50"> 						 			<!-- L1.1 -->
-						<attached>
-							<Model mesh="QCube.mesh" scale=10 pitch=90 /> 
-						</attached>
-						<collisionShapes>
-							<BoxCollisionShape position="0,0,0" halfExtents="5,5,5" />
-						</collisionShapes>
-					</SOBQBlock>
-
-
-
-					<Model mesh="Cube2.6.mesh" position="740,0,20" scale=10 yaw=-90 Pitch=-90/>
-					<Model mesh="Cube2.3.mesh" position="760,0,0" scale=10 yaw=-90 Pitch=-90/>
-					<Model mesh="Cube2.3.mesh" position="760,0,80" scale=10 yaw=-90 Pitch=-90/>
-					
-
-
-
-					<Model mesh="Cube1.6.mesh" position="800,0,20" scale=10 />
-					<Model mesh="Cube2.3.mesh" position="800,0,80" scale=10 Pitch=-90/>
-					<Model mesh="Cube2.6.mesh" position="840,0,30" scale=10 yaw=-90 Pitch=-90/>
-					<Model mesh="Cube2.2.mesh" position="880,0,80" scale=10 Pitch=-90/>
-					<Model mesh="Cube2.2.mesh" position="900,0,80" scale=10 Pitch=-90/>
-
+					<Model mesh="Rohr.mesh" position="445,5,-35" scale=10 pitch=90 /> 
+
+					<SOBQBlock collisionType="static" type="Mushroom" position="500,0,20"> 						 			<!-- L1.1 -->
+						<attached>
+							<Model mesh="QCube.mesh" scale=10 pitch=90 /> 
+						</attached>
+						<collisionShapes>
+							<BoxCollisionShape position="0,0,0" halfExtents="5,5,5" />
+						</collisionShapes>
+					</SOBQBlock>
+
+					<SOBQBlock collisionType="static" type="Mushroom" position="510,0,20"> 						 			<!-- L1.1 -->
+						<attached>
+							<Model mesh="QCube.mesh" scale=10 pitch=90 /> 
+						</attached>
+						<collisionShapes>
+							<BoxCollisionShape position="0,0,0" halfExtents="5,5,5" />
+						</collisionShapes>
+					</SOBQBlock>
+
+					<SOBQBlock collisionType="static" type="Mushroom" position="520,0,20"> 						 			<!-- L1.1 -->
+						<attached>
+							<Model mesh="QCube.mesh" scale=10 pitch=90 /> 
+						</attached>
+						<collisionShapes>
+							<BoxCollisionShape position="0,0,0" halfExtents="5,5,5" />
+						</collisionShapes>
+					</SOBQBlock>
+
+					<SOBQBlock collisionType="static" type="Mushroom" position="530,0,20"> 						 			<!-- L1.1 -->
+						<attached>
+							<Model mesh="QCube.mesh" scale=10 pitch=90 /> 
+						</attached>
+						<collisionShapes>
+							<BoxCollisionShape position="0,0,0" halfExtents="5,5,5" />
+						</collisionShapes>
+					</SOBQBlock>
+
+					<SOBQBlock collisionType="static" type="Mushroom" position="540,0,20"> 						 			<!-- L1.1 -->
+						<attached>
+							<Model mesh="QCube.mesh" scale=10 pitch=90 /> 
+						</attached>
+						<collisionShapes>
+							<BoxCollisionShape position="0,0,0" halfExtents="5,5,5" />
+						</collisionShapes>
+					</SOBQBlock>
+
+
+					<Model mesh="Cube1.1.mesh" position="570,0,-10" scale=10 Pitch=90/>
+
+					<Model mesh="Cube1.1.mesh" position="590,0,-10" scale=10 Pitch=90/>
+					<Model mesh="Cube1.1.mesh" position="590,0,0" scale=10 Pitch=90/>
+
+					<Model mesh="Cube1.3.mesh" position="610,0,-10" scale=10 yaw=-90/>
+
+					<Model mesh="Cube1.1.mesh" position="630,0,-10" scale=10 Pitch=90/>
+					<Model mesh="Cube1.3.mesh" position="630,0,0" scale=10 yaw=-90/>
+
+					<Model mesh="Cube1.1.mesh" position="650,0,-10" scale=10 Pitch=90/>
+					<Model mesh="Cube1.3.mesh" position="650,0,0" scale=10 yaw=-90/>
+
+					<Model mesh="Cube1.3.mesh" position="670,0,-10" scale=10 yaw=-90/>
+
+					<Model mesh="Cube1.3.mesh" position="710,0,-10" scale=10 yaw=-90/>
+
+					<Model mesh="Cube1.1.mesh" position="730,0,-10" scale=10 Pitch=90/>
+					<Model mesh="Cube1.1.mesh" position="730,0,0" scale=10 Pitch=90/>
+
+					<SOBQBlock collisionType="static" type="Mushroom" position="690,0,30"> 						 			<!-- L1.1 -->
+						<attached>
+							<Model mesh="QCube.mesh" scale=10 pitch=90 /> 
+						</attached>
+						<collisionShapes>
+							<BoxCollisionShape position="0,0,0" halfExtents="5,5,5" />
+						</collisionShapes>
+					</SOBQBlock>
+
+
+
+					<Model mesh="Cube1.3.mesh" position="710,0,20" scale=10 yaw=-90/>
+					<Model mesh="Cube1.1.mesh" position="720,0,20" scale=10 Pitch=90/>
+					<Model mesh="Cube1.3.mesh" position="730,0,20" scale=10 yaw=-90/>
+					<Model mesh="Cube1.1.mesh" position="740,0,40" scale=10 Pitch=90/>
+					<Model mesh="Cube1.1.mesh" position="750,0,40" scale=10 Pitch=90/>
+					<Model mesh="Cube1.3.mesh" position="760,0,20" scale=10 yaw=-90/>
+					<Model mesh="Cube1.1.mesh" position="770,0,20" scale=10 Pitch=90/>
+					<Model mesh="Cube1.3.mesh" position="780,0,20" scale=10 yaw=-90/>
+
+					<SOBQBlock collisionType="static" type="Mushroom" position="780,0,50"> 						 			<!-- L1.1 -->
+						<attached>
+							<Model mesh="QCube.mesh" scale=10 pitch=90 /> 
+						</attached>
+						<collisionShapes>
+							<BoxCollisionShape position="0,0,0" halfExtents="5,5,5" />
+						</collisionShapes>
+					</SOBQBlock>
+
+
+
+					<Model mesh="Cube2.6.mesh" position="840,0,20" scale=10 yaw=-90 Pitch=-90/>
+					<Model mesh="Cube2.3.mesh" position="860,0,0" scale=10 yaw=-90 Pitch=-90/>
+					<Model mesh="Cube2.3.mesh" position="860,0,80" scale=10 yaw=-90 Pitch=-90/>
+					
+
+
+
+					<Model mesh="Cube1.6.mesh" position="900,0,20" scale=10 />
+					<Model mesh="Cube2.3.mesh" position="900,0,80" scale=10 Pitch=-90/>
+					<Model mesh="Cube2.6.mesh" position="940,0,30" scale=10 yaw=-90 Pitch=-90/>
 					<Model mesh="Cube2.2.mesh" position="980,0,80" scale=10 Pitch=-90/>
 					<Model mesh="Cube2.2.mesh" position="1000,0,80" scale=10 Pitch=-90/>
 
-					<Model mesh="Cube2.6.mesh" position="940,0,20" scale=10 Pitch=-90 yaw=-90/>
-					<Model mesh="Cube1.3.mesh" position="980,0,20" scale=10 Pitch=-90/>
-					<Model mesh="Cube1.1.mesh" position="1010,0,20" scale=10 Pitch=-90/>
+					<Model mesh="Cube2.2.mesh" position="1080,0,80" scale=10 Pitch=-90/>
+					<Model mesh="Cube2.2.mesh" position="1100,0,80" scale=10 Pitch=-90/>
+
+					<Model mesh="Cube2.6.mesh" position="1040,0,20" scale=10 Pitch=-90 yaw=-90/>
+					<Model mesh="Cube1.3.mesh" position="1080,0,20" scale=10 Pitch=-90/>
+					<Model mesh="Cube1.1.mesh" position="1110,0,20" scale=10 Pitch=-90/>
 
 
 					//Boden3
 
-					<Model mesh="Cube2.12.mesh" position="1050,0,-30" scale=10 Pitch=90/> 					
-					<Model mesh="Cube2.12.mesh" position="1170,0,-30" scale=10 Pitch=90/> 
-					<Model mesh="Cube2.12.mesh" position="1290,0,-30" scale=10 Pitch=90/> 
-					<Model mesh="Cube2.2.mesh" position="1410,0,-30" scale=10 Pitch=90/> 
+					<Model mesh="Cube2.12.mesh" position="1150,0,-30" scale=10 Pitch=90/> 					
+					<Model mesh="Cube2.12.mesh" position="1270,0,-30" scale=10 Pitch=90/> 
+					<Model mesh="Cube2.12.mesh" position="1390,0,-30" scale=10 Pitch=90/> 
+					<Model mesh="Cube2.2.mesh" position="1510,0,-30" scale=10 Pitch=90/> 
 
 					//Boden4
-					<Model mesh="Cube2.2.mesh" position="1430,0,-30" scale=10 Pitch=90/> 
+					<Model mesh="Cube2.2.mesh" position="1530,0,-30" scale=10 Pitch=90/> 
 
 					//Boden5
-					<Model mesh="Cube2.12.mesh" position="1450,0,-30" scale=10 Pitch=90/> 
+					<Model mesh="Cube2.12.mesh" position="1550,0,-30" scale=10 Pitch=90/> 
 
 					//Boden6
-					<Model mesh="Cube2.6.mesh" position="1640,0,-30" scale=10 Pitch=90/> 
-					<Model mesh="Cube2.2.mesh" position="1700,0,-30" scale=10 Pitch=90/> 
+					<Model mesh="Cube2.6.mesh" position="1740,0,-30" scale=10 Pitch=90/> 
+					<Model mesh="Cube2.2.mesh" position="1800,0,-30" scale=10 Pitch=90/> 
 
 					//Boden7
-					<Model mesh="Cube2.12.mesh" position="1790,0,-30" scale=10 Pitch=90/> 
-					<Model mesh="Cube2.12.mesh" position="1910,0,-30" scale=10 Pitch=90/> 
-					<Model mesh="Cube2.12.mesh" position="2030,0,-30" scale=10 Pitch=90/> 
+					<Model mesh="Cube2.12.mesh" position="1890,0,-30" scale=10 Pitch=90/> 
+					<Model mesh="Cube2.12.mesh" position="2010,0,-30" scale=10 Pitch=90/> 
+					<Model mesh="Cube2.12.mesh" position="2130,0,-30" scale=10 Pitch=90/> 
 
 