Index: code/branches/Dialogue_FS17/data/gui/scripts/Dialogue.lua
===================================================================
--- code/branches/Dialogue_FS17/data/gui/scripts/Dialogue.lua	(revision 11408)
+++ code/branches/Dialogue_FS17/data/gui/scripts/Dialogue.lua	(revision 11413)
@@ -93,7 +93,22 @@
     P.wrapper:setSize(CEGUI.UVector2(CEGUI.UDim(1,0),CEGUI.UDim(1,0)))
     root:addChildWindow(P.wrapper)
-    root:addChild(answerButton)
     
-   
+    
+    local detailsButton = winMgr:createWindow("MenuWidgets/Button", "/DetailsButton")
+    local a1 = orxonox.DialogueManager:getInstance():getanswers1()
+    detailsButton:setPosition(CEGUI.UVector2(CEGUI.UDim(0.3, P.imageHeight+2*P.buttonWidth),CEGUI.UDim(0, (P.imageHeight-P.textHeight)/2)))
+    detailsButton:setSize(CEGUI.UVector2(CEGUI.UDim(0, P.buttonWidth), CEGUI.UDim(0, P.textHeight)))
+    detailsButton:setText(a1)
+    orxonox.GUIManager:subscribeEventHelper(detailsButton, "Clicked", P.name ..".a1Button_clicked")
+    root:addChildWindow(detailsButton)
+
+    local a2Button = winMgr:createWindow("MenuWidgets/Button", "/a2Button")
+    local a2 = orxonox.DialogueManager:getInstance():getanswers2()
+    a2Button:setPosition(CEGUI.UVector2(CEGUI.UDim(0.3, P.imageHeight+40+2*P.buttonWidth),CEGUI.UDim(0, (P.imageHeight-P.textHeight)/2)))
+    a2Button:setSize(CEGUI.UVector2(CEGUI.UDim(0, P.buttonWidth), CEGUI.UDim(0, P.textHeight)))
+    a2Button:setText(a2)
+    orxonox.GUIManager:subscribeEventHelper(a2Button, "Clicked", P.name ..".a2Button_clicked")
+    root:addChildWindow(a2Button)
+
 
 end
@@ -119,6 +134,10 @@
 
 
-function P.InventoryBackButton_clicked(e)
-    orxonox.CommandExecutor:execute("OrxonoxOverlay toggleVisibility Dialogue")
+function P.a1Button_clicked(e)
+    orxonox.DialogueManager:getInstance():a1clicked()
+end
+
+function P.a2Button_clicked(e)
+    orxonox.DialogueManager:getInstance():a2clicked()
 end
 
Index: code/branches/Dialogue_FS17/data/levels/events.oxw
===================================================================
--- code/branches/Dialogue_FS17/data/levels/events.oxw	(revision 11408)
+++ code/branches/Dialogue_FS17/data/levels/events.oxw	(revision 11413)
@@ -57,7 +57,11 @@
     -->
 
-<DistanceTrigger name="test" position="0,0,0" target="Pawn" distance=25 stayActive="true"/>
+    <DistanceTrigger name="test" position="0,0,0" target="Pawn" distance=25 stayActive="true" />
     <Backlight position="0,0,0" visible=true frequency=0.6 amplitude=3 material="Flares/lensflare" colour="1,0,1"/>
-    <NextQuestion question="Hello World3">
+    <NextQuestion  question="Continue?" a1="yes" a2="no" >
+      <!-- <possibleQuestions> 
+        <NextQuestion  question="Are you sure?" a1="yep let me continue" a2="no actually not" />
+        <NextQuestion  question="Why?" a1="Got a dentist's appointment" a2="this sucks" />
+      </possibleQuestions>     --> 
       <events>
         <execute>
Index: code/branches/Dialogue_FS17/src/modules/dialogue/DialogueManager.cc
===================================================================
--- code/branches/Dialogue_FS17/src/modules/dialogue/DialogueManager.cc	(revision 11408)
+++ code/branches/Dialogue_FS17/src/modules/dialogue/DialogueManager.cc	(revision 11413)
@@ -36,7 +36,6 @@
 
     void DialogueManager::setquestion(std::string q){
-		orxout() << "setquestion" << endl;
 		question=q;
-		orxout() << "Question is " << question;
+		
 	}
 
@@ -44,4 +43,32 @@
 		orxout() << question << endl;
 		return question;
+	}
+	void DialogueManager::setanswers1(std::string a1){
+		orxout() << "setanswers1" << endl;
+		this->a1=a1;
+		orxout() << "A1 is " << a1;
+				}
+
+	void DialogueManager::setanswers2(std::string a2){
+		this->a2=a2;
+				}
+
+	
+
+	std::string DialogueManager::getanswers1(void){
+		orxout() << "getanswers1" << endl;
+		return a1;
+	}
+
+	std::string DialogueManager::getanswers2(void){
+		return a2;
+	}
+	bool DialogueManager::a1clicked(void){
+		orxout() << "a1 clicked" << endl;
+		return true;
+	}
+	bool DialogueManager::a2clicked(void){
+		orxout() << "a2 clicked" << endl;
+		return true;
 	}
 	/*void DialogueManager::XMLPort(Element& xmlelement, XMLPort::Mode mode)
@@ -60,10 +87,5 @@
 	
 
-	void DialogueManager::setanswers(std::string option1, std::string option2, std::string option3){
-		options.at(0)=option1;
-		options.at(1)=option2;
-		options.at(2)=option3;
-	}
-
+	
 	vector<std::string> DialogueManager::getanswers(void){
 		return options;
Index: code/branches/Dialogue_FS17/src/modules/dialogue/DialogueManager.h
===================================================================
--- code/branches/Dialogue_FS17/src/modules/dialogue/DialogueManager.h	(revision 11408)
+++ code/branches/Dialogue_FS17/src/modules/dialogue/DialogueManager.h	(revision 11413)
@@ -13,4 +13,5 @@
 #include "core/XMLPort.h"
 #include "core/EventIncludes.h"
+
 
 
@@ -35,7 +36,10 @@
 		
 
-		
-	
-
+		void setanswers1(std::string a1); //tolua_export
+		void setanswers2(std::string a2); //tolua_export
+		std::string getanswers1(void); //tolua_export
+		std::string getanswers2(void); //tolua_export
+		bool a1clicked(void); //tolua_export
+		bool a2clicked(void); //tolua_export
 			/*std::string setnpc(std::string npc);
 
@@ -52,4 +56,6 @@
 */
 private:
+	std::string a1;
+	std::string a2;
 	std::string question;
 	static DialogueManager* singletonPtr_s;
Index: code/branches/Dialogue_FS17/src/modules/dialogue/NextQuestion.cc
===================================================================
--- code/branches/Dialogue_FS17/src/modules/dialogue/NextQuestion.cc	(revision 11408)
+++ code/branches/Dialogue_FS17/src/modules/dialogue/NextQuestion.cc	(revision 11413)
@@ -1,3 +1,3 @@
-#include <vector>
+//#include <vector>
 #include <string>
 #include "core/CoreIncludes.h"
@@ -19,5 +19,4 @@
          DialogueManager* d = new DialogueManager(context);
         
-
     }
 
@@ -32,8 +31,21 @@
 
 	
-	//
+	bool NextQuestion::addposQuestion(NextQuestion* nq){
+		
+		possibleQuestions.push_back(nq);
+		return true;
+	}
 
+	const NextQuestion* NextQuestion::getposQuestion(unsigned int i) const
+    {
+        for (NextQuestion* effect : this->possibleQuestions)
+        {
+            if(i == 0)
+               return effect;
+            i--;
+        }
+        return nullptr; }
 	
-	//XML and Event shit
+	//XML and Event stuff
 	void NextQuestion::XMLPort(Element& xmlelement, XMLPort::Mode mode)
     {
@@ -41,4 +53,8 @@
 
         XMLPortParam(NextQuestion, "question", setquestion, getquestion, xmlelement, mode);
+        XMLPortParam(NextQuestion, "a1", setanswers1, getanswers1, xmlelement, mode);
+        XMLPortParam(NextQuestion, "a2", setanswers2, getanswers2, xmlelement, mode);
+        XMLPortObject(NextQuestion, NextQuestion, "possibleQuestions", addposQuestion, getposQuestion, xmlelement, mode);
+       
     }
 	bool NextQuestion::execute(bool bTriggered, BaseObject* trigger)
@@ -57,4 +73,6 @@
         	
         m.setquestion(question);
+        m.setanswers1(a1);
+        m.setanswers2(a2);
         orxout() << " 1 " << endl;
 
@@ -71,17 +89,35 @@
         XMLPortEventSink(NextQuestion, BaseObject, "execute", execute, xmlelement, mode); 
     }
-	/*void NextQuestion::setanswers(std::string option1, std::string option2, std::string option3){
-		options.at(0)=option1;
-		options.at(1)=option2;
-		options.at(2)=option3;
+
+
+	void NextQuestion::setanswers1(std::string a1){
+		this->a1=a1;
+				}
+
+	void NextQuestion::setanswers2(std::string a2){
+		this->a2=a2;
+				}
+
+	
+
+	std::string NextQuestion::getanswers1(void){
+		return a1;
 	}
 
-	vector<std::string> NextQuestion::getanswers(void){
-		return options;
+	std::string NextQuestion::getanswers2(void){
+		return a2;
 	}
 
-	int NextQuestion::getnumOptions(){
-		return options.size();
-	}*/
+	NextQuestion NextQuestion::compare(){
+		DialogueManager& m = DialogueManager::getInstance();
+		if(m.a1clicked()){
+			return *possibleQuestions[0];
+		}
+
+		else if(m.a2clicked()){
+			return *possibleQuestions[1];
+		}
+	}
+
 
 }
Index: code/branches/Dialogue_FS17/src/modules/dialogue/NextQuestion.h
===================================================================
--- code/branches/Dialogue_FS17/src/modules/dialogue/NextQuestion.h	(revision 11408)
+++ code/branches/Dialogue_FS17/src/modules/dialogue/NextQuestion.h	(revision 11413)
@@ -1,3 +1,3 @@
-#include <vector>
+//#include <vector>
 #include <string>
 #include "core/class/Identifier.h"
@@ -23,14 +23,17 @@
 
 
-		
+		bool addposQuestion(NextQuestion* nq);
+		const NextQuestion* getposQuestion(unsigned int index) const;
  
 		
 		virtual void XMLPort(Element& xmlelement, XMLPort::Mode mode);
 
-		/*void setanswers(std::string option1, std::string option2, std::string option3);
-		std::vector <std::string> getanswers(void);
+		void setanswers1(std::string a1);
+		void setanswers2(std::string a2);
+		std::string getanswers1(void);
+		std::string getanswers2(void);
 
-		int getnumOptions();
-		std::vector<std::string> options;*/
+		NextQuestion compare();
+		
 
 		//Event
@@ -40,4 +43,9 @@
 		
 	private:
+		std::string a1;
+		std::string a2;
+		std::vector<NextQuestion*> possibleQuestions;
+
+
 		std::string question;
 		DialogueManager* m;