Index: /code/branches/Dialogue_FS17/data/gui/scripts/Dialogue.lua
===================================================================
--- /code/branches/Dialogue_FS17/data/gui/scripts/Dialogue.lua	(revision 11414)
+++ /code/branches/Dialogue_FS17/data/gui/scripts/Dialogue.lua	(revision 11415)
@@ -97,17 +97,17 @@
     local detailsButton = winMgr:createWindow("MenuWidgets/Button", "/DetailsButton")
     local a1 = orxonox.DialogueManager:getInstance():getanswers1()
-    detailsButton:setPosition(CEGUI.UVector2(CEGUI.UDim(0.3, P.imageHeight+2*P.buttonWidth),CEGUI.UDim(0, (P.imageHeight-P.textHeight)/2)))
-    detailsButton:setSize(CEGUI.UVector2(CEGUI.UDim(0, P.buttonWidth), CEGUI.UDim(0, P.textHeight)))
+    detailsButton:setPosition(CEGUI.UVector2(CEGUI.UDim(0.1, 0),CEGUI.UDim(0.25, 0)))
+    detailsButton:setSize(CEGUI.UVector2(CEGUI.UDim(0, 575), CEGUI.UDim(0, P.textHeight)))
     detailsButton:setText(a1)
     orxonox.GUIManager:subscribeEventHelper(detailsButton, "Clicked", P.name ..".a1Button_clicked")
-    root:addChildWindow(detailsButton)
+    P.wrapper:addChildWindow(detailsButton)
 
     local a2Button = winMgr:createWindow("MenuWidgets/Button", "/a2Button")
     local a2 = orxonox.DialogueManager:getInstance():getanswers2()
-    a2Button:setPosition(CEGUI.UVector2(CEGUI.UDim(0.3, P.imageHeight+40+2*P.buttonWidth),CEGUI.UDim(0, (P.imageHeight-P.textHeight)/2)))
-    a2Button:setSize(CEGUI.UVector2(CEGUI.UDim(0, P.buttonWidth), CEGUI.UDim(0, P.textHeight)))
+    a2Button:setPosition(CEGUI.UVector2(CEGUI.UDim(0.1, 0),CEGUI.UDim(0.4, 0)))
+    a2Button:setSize(CEGUI.UVector2(CEGUI.UDim(0, 575), CEGUI.UDim(0, P.textHeight)))
     a2Button:setText(a2)
     orxonox.GUIManager:subscribeEventHelper(a2Button, "Clicked", P.name ..".a2Button_clicked")
-    root:addChildWindow(a2Button)
+    P.wrapper:addChildWindow(a2Button)
 
 
@@ -139,5 +139,5 @@
 
 function P.a2Button_clicked(e)
-    orxonox.DialogueManager:getInstance():a2clicked()
+    orxonox.CommandExecutor:execute("OrxonoxOverlay toggleVisibility Dialogue")
 end
 
Index: /code/branches/Dialogue_FS17/src/modules/dialogue/DialogueManager.cc
===================================================================
--- /code/branches/Dialogue_FS17/src/modules/dialogue/DialogueManager.cc	(revision 11414)
+++ /code/branches/Dialogue_FS17/src/modules/dialogue/DialogueManager.cc	(revision 11415)
@@ -6,22 +6,20 @@
 #include "network/Host.h"
 #include "network/NetworkFunctionIncludes.h"
-#include "DialogueManager.h"
 #include "DialoguePrereqs.h"
 #include <vector>
 #include <string>
 #include "core/XMLPort.h"
+#include "NextQuestion.h"
 
 
 namespace orxonox {
-	//ManageScopedSingleton(DialogueManager, ScopeID::ROOT, false);
-	RegisterAbstractClass(DialogueManager).inheritsFrom<BaseObject>();
+	ManageScopedSingleton(DialogueManager, ScopeID::ROOT, false);
+	
 
+	//DialogueManager* DialogueManager::singletonPtr_s =nullptr;
 
-
-	DialogueManager* DialogueManager::singletonPtr_s =nullptr;
-
-	DialogueManager::DialogueManager(Context* context): BaseObject(context){
+	DialogueManager::DialogueManager(){
 		orxout() << "Dialog Konstruktor" << endl;
-		RegisterObject(DialogueManager);
+		//RegisterObject(DialogueManager);
 		
 		
@@ -66,4 +64,5 @@
 	bool DialogueManager::a1clicked(void){
 		orxout() << "a1 clicked" << endl;
+
 		return true;
 	}
Index: /code/branches/Dialogue_FS17/src/modules/dialogue/DialogueManager.h
===================================================================
--- /code/branches/Dialogue_FS17/src/modules/dialogue/DialogueManager.h	(revision 11414)
+++ /code/branches/Dialogue_FS17/src/modules/dialogue/DialogueManager.h	(revision 11415)
@@ -16,9 +16,11 @@
 
 
+
+
 namespace orxonox //tolua_export
 
 {//tolua_export
 	class _OrxonoxExport DialogueManager //tolua_export
-	: public Singleton<DialogueManager>, public BaseObject
+	: public Singleton<DialogueManager>
 	{//tolua_export
 		friend class Singleton<DialogueManager>;
@@ -27,5 +29,5 @@
 		
 
-		DialogueManager(Context* context); 
+		DialogueManager(); 
 		
 
@@ -56,4 +58,5 @@
 */
 private:
+	//NextQuestion currentQuestion;
 	std::string a1;
 	std::string a2;
Index: /code/branches/Dialogue_FS17/src/modules/dialogue/NextQuestion.cc
===================================================================
--- /code/branches/Dialogue_FS17/src/modules/dialogue/NextQuestion.cc	(revision 11414)
+++ /code/branches/Dialogue_FS17/src/modules/dialogue/NextQuestion.cc	(revision 11415)
@@ -17,5 +17,5 @@
         RegisterObject(NextQuestion);
         orxout() << "Klasse aufgerufen" << endl;
-         DialogueManager* d = new DialogueManager(context);
+       
         
     }
@@ -109,5 +109,6 @@
 	}
 
-	NextQuestion NextQuestion::compare(){
+
+	/*NextQuestion NextQuestion::compare(){
 		DialogueManager& m = DialogueManager::getInstance();
 		if(m.a1clicked()){
@@ -118,5 +119,5 @@
 			return *possibleQuestions[1];
 		}
-	}
+	}*/
 
 