Index: code/branches/Dialogue_FS17/data/gui/scripts/Dialogue.lua
===================================================================
--- code/branches/Dialogue_FS17/data/gui/scripts/Dialogue.lua	(revision 11415)
+++ code/branches/Dialogue_FS17/data/gui/scripts/Dialogue.lua	(revision 11417)
@@ -139,5 +139,5 @@
 
 function P.a2Button_clicked(e)
-    orxonox.CommandExecutor:execute("OrxonoxOverlay toggleVisibility Dialogue")
+    orxonox.DialogueManager:getInstance():a2clicked()
 end
 
Index: code/branches/Dialogue_FS17/data/levels/events.oxw
===================================================================
--- code/branches/Dialogue_FS17/data/levels/events.oxw	(revision 11415)
+++ code/branches/Dialogue_FS17/data/levels/events.oxw	(revision 11417)
@@ -59,9 +59,10 @@
     <DistanceTrigger name="test" position="0,0,0" target="Pawn" distance=25 stayActive="true" />
     <Backlight position="0,0,0" visible=true frequency=0.6 amplitude=3 material="Flares/lensflare" colour="1,0,1"/>
+    
     <NextQuestion  question="Continue?" a1="yes" a2="no" >
-      <!-- <possibleQuestions> 
+     <possibleQuestions> 
         <NextQuestion  question="Are you sure?" a1="yep let me continue" a2="no actually not" />
         <NextQuestion  question="Why?" a1="Got a dentist's appointment" a2="this sucks" />
-      </possibleQuestions>     --> 
+      </possibleQuestions>    
       <events>
         <execute>
Index: code/branches/Dialogue_FS17/src/modules/dialogue/DialogueManager.cc
===================================================================
--- code/branches/Dialogue_FS17/src/modules/dialogue/DialogueManager.cc	(revision 11415)
+++ code/branches/Dialogue_FS17/src/modules/dialogue/DialogueManager.cc	(revision 11417)
@@ -6,9 +6,10 @@
 #include "network/Host.h"
 #include "network/NetworkFunctionIncludes.h"
-#include "DialoguePrereqs.h"
+#include "DialogueManager.h"
 #include <vector>
 #include <string>
 #include "core/XMLPort.h"
 #include "NextQuestion.h"
+
 
 
@@ -32,4 +33,9 @@
      */
     
+
+	void DialogueManager::registerquestion(NextQuestion* nq){
+		allQuestions.push_back(nq);
+
+	}	
 
     void DialogueManager::setquestion(std::string q){
@@ -64,5 +70,5 @@
 	bool DialogueManager::a1clicked(void){
 		orxout() << "a1 clicked" << endl;
-
+		currentQuestion = currentQuestion->possibleQuestions[0];
 		return true;
 	}
Index: code/branches/Dialogue_FS17/src/modules/dialogue/DialogueManager.h
===================================================================
--- code/branches/Dialogue_FS17/src/modules/dialogue/DialogueManager.h	(revision 11415)
+++ code/branches/Dialogue_FS17/src/modules/dialogue/DialogueManager.h	(revision 11417)
@@ -1,2 +1,5 @@
+#ifndef _DialogueManager_H__
+#define _DialogueManager_H__
+
 #include "core/CoreIncludes.h"
 #include "core/LuaState.h"
@@ -9,9 +12,10 @@
 #include <string>
 #include <vector>
-#include "OrxonoxPrereqs.h"
+//#include "OrxonoxPrereqs.h"
 #include "core/config/Configurable.h"
 #include "core/XMLPort.h"
 #include "core/EventIncludes.h"
-
+#include "DialoguePrereqs.h"
+#include "NextQuestion.h"
 
 
@@ -37,5 +41,5 @@
 		std::string getquestion(void); //tolua_export
 		
-
+		void registerquestion(NextQuestion* nq);
 		void setanswers1(std::string a1); //tolua_export
 		void setanswers2(std::string a2); //tolua_export
@@ -58,5 +62,6 @@
 */
 private:
-	//NextQuestion currentQuestion;
+	NextQuestion* currentQuestion;
+	std::vector<NextQuestion*> allQuestions;
 	std::string a1;
 	std::string a2;
@@ -66,3 +71,3 @@
 	};//tolua_export
 }//tolua_export
-
+#endif
Index: code/branches/Dialogue_FS17/src/modules/dialogue/DialoguePrereqs.h
===================================================================
--- code/branches/Dialogue_FS17/src/modules/dialogue/DialoguePrereqs.h	(revision 11415)
+++ code/branches/Dialogue_FS17/src/modules/dialogue/DialoguePrereqs.h	(revision 11417)
@@ -70,4 +70,5 @@
 
     class DialogueManager;
+    class NextQuestion;
    
 }
Index: code/branches/Dialogue_FS17/src/modules/dialogue/NextQuestion.cc
===================================================================
--- code/branches/Dialogue_FS17/src/modules/dialogue/NextQuestion.cc	(revision 11415)
+++ code/branches/Dialogue_FS17/src/modules/dialogue/NextQuestion.cc	(revision 11417)
@@ -8,4 +8,5 @@
 #include "NextQuestion.h"
 #include "core/XMLPort.h"
+#include "DialogueManager.h"
 
 namespace orxonox{
@@ -17,4 +18,6 @@
         RegisterObject(NextQuestion);
         orxout() << "Klasse aufgerufen" << endl;
+        DialogueManager& m = DialogueManager::getInstance();
+        m.registerquestion(this);
        
         
Index: code/branches/Dialogue_FS17/src/modules/dialogue/NextQuestion.h
===================================================================
--- code/branches/Dialogue_FS17/src/modules/dialogue/NextQuestion.h	(revision 11415)
+++ code/branches/Dialogue_FS17/src/modules/dialogue/NextQuestion.h	(revision 11417)
@@ -1,2 +1,6 @@
+#ifndef _NextQuestion_H__
+#define _NextQuestion_H__
+
+
 //#include <vector>
 #include <string>
@@ -5,5 +9,6 @@
 #include "core/XMLPort.h"
 #include "core/EventIncludes.h"
-#include "DialogueManager.h"
+#include "DialoguePrereqs.h"
+
 
 
@@ -41,9 +46,9 @@
 		bool execute(bool bTriggered, BaseObject* trigger);
 
-		
+		std::vector<NextQuestion*> possibleQuestions;
 	private:
 		std::string a1;
 		std::string a2;
-		std::vector<NextQuestion*> possibleQuestions;
+		
 
 
@@ -54,2 +59,3 @@
 	
 }
+#endif